Team
Team member and invitation management
List team members
Authorization
bearerAuth API key (rt_live_... or rt_test_...)
In: header
Response Body
application/json
curl -X GET "https://retivo.ai/api/team/members"{
"members": [
{
"id": "string",
"user_id": "string",
"role": "string",
"created_at": "string",
"name": "string",
"email": "string"
}
]
}List pending invitations
Authorization
bearerAuth API key (rt_live_... or rt_test_...)
In: header
Response Body
application/json
curl -X GET "https://retivo.ai/api/team/invitations"{
"invitations": [
null
]
}Invite a team member
Authorization
bearerAuth API key (rt_live_... or rt_test_...)
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://retivo.ai/api/team/invite" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com" }'{
"invitation": null
}{
"error": "string",
"current": 0,
"limit": 0,
"upgrade_to": "string"
}{
"error": "string"
}Accept an invitation
Authorization
bearerAuth API key (rt_live_... or rt_test_...)
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://retivo.ai/api/team/accept" \ -H "Content-Type: application/json" \ -d '{ "token": "b5507016-7da2-4777-a161-1e8042a6a377" }'{
"tenant_id": "string",
"role": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Change a member's role
Authorization
bearerAuth API key (rt_live_... or rt_test_...)
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://retivo.ai/api/team/members/string/role" \ -H "Content-Type: application/json" \ -d '{ "role": "admin" }'{
"member": null
}{
"error": "string"
}Remove a team member
Authorization
bearerAuth API key (rt_live_... or rt_test_...)
In: header
Path Parameters
Response Body
application/json
application/json
application/json
curl -X DELETE "https://retivo.ai/api/team/members/string"{
"removed": true
}{
"error": "string"
}{
"error": "string"
}Revoke a pending invitation
Authorization
bearerAuth API key (rt_live_... or rt_test_...)
In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://retivo.ai/api/team/invitations/string"{
"revoked": true
}